commit:     52e115e34dec14789e554957cc90a56579373d49
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  3 05:44:22 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun  3 06:41:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52e115e3

dev-python/pytest: Bump to 5.4.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest/Manifest            |  1 +
 dev-python/pytest/pytest-5.4.3.ebuild | 71 +++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/dev-python/pytest/Manifest b/dev-python/pytest/Manifest
index e0c56be1b46..6b2f9ee3087 100644
--- a/dev-python/pytest/Manifest
+++ b/dev-python/pytest/Manifest
@@ -4,3 +4,4 @@ DIST pytest-4.6.10.tar.gz 951516 BLAKE2B 
f87d00c3d69990f39369ec6af8c4b88d8b7da9b
 DIST pytest-4.6.9.tar.gz 956816 BLAKE2B 
7eaeaa0d47c17836a35d9cdc97663f8ef65253099b21d60a7ffc3655d8bd93c6b4e33045caa6c8ab9bb8b920b93e596ba86d8eac4ab07b3b7a5989b38312f4fc
 SHA512 
ab45a8662aa798a6ae224ad2cd68e043c605e4830c76cb6c6aca3cfccef232c024cbbb6c48c9bae19148099c339abfef3270a2208cc7e5c37a10b34b0aa6ba79
 DIST pytest-5.4.1.tar.gz 1017924 BLAKE2B 
2892b06655384c8453963e8444e7c1659f4ce60410afe6d01c480da4858628f6c8fd8774131c5bfaca3b3baf9936e3e4d607788b390d37f7aee90cb39c4ba15c
 SHA512 
50d94158817561316cfb4c6ad4481858a76cfe44ba964cc7a3bb81d3701eb621ca5cd46c4be24644134417d8bf7e7771f4b3a30af71fde5ea9705c3241fa2878
 DIST pytest-5.4.2.tar.gz 1020640 BLAKE2B 
e10ce7a2dbc1ff42ffbe02c3a9f72b4c829c5cc80ba9a50ae015d181c03916a807ee2b13d40e0d7590844f67f8b68e926c770d298fd839c3cf24d9daa4b4e1e7
 SHA512 
c92ffa613a02cee2580d690c24b76f16957082b138cf7c51d277b0fb5098fab2272ab73295e5e368cbd908026130a9185a35f8792054e36b7ade0a05f7f3f192
+DIST pytest-5.4.3.tar.gz 1022353 BLAKE2B 
70d4f23cbbfc4c4ce63c512ee0a01556973761a6d3ebb71a6d9ed4fb4a4a21531e1b151ed0e4c5e56e5dd3243a1a272441f17c4c2c4e3b0b19c24654b74e8e52
 SHA512 
0a07d4f4f791969c6f21961a0ba0f8c6670e5870c6cc1cebf93766587bb9cb3e10db8e57f0bd33dd22b275f3aad7aa674949f124ac80e0ccca64e35be4beee4e

diff --git a/dev-python/pytest/pytest-5.4.3.ebuild 
b/dev-python/pytest/pytest-5.4.3.ebuild
new file mode 100644
index 00000000000..3453fa72eca
--- /dev/null
+++ b/dev-python/pytest/pytest-5.4.3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple powerful testing with Python"
+HOMEPAGE="https://pytest.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# When bumping, please check setup.py for the proper py version
+PY_VER="1.5.0"
+
+# pathlib2 has been added to stdlib before py3.6, but pytest needs __fspath__
+# support, which only came in py3.6.
+RDEPEND="
+       >=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/importlib_metadata[${PYTHON_USEDEP}]
+       ' python3_{6,7} pypy3)
+       >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/pluggy-0.12[${PYTHON_USEDEP}]
+       <dev-python/pluggy-1
+       >=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]"
+
+# flake cause a number of tests to fail
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-python/hypothesis-3.56[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pygments[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/xmlschema[${PYTHON_USEDEP}]
+               !!dev-python/flaky
+       )"
+
+PATCHES=(
+       "${FILESDIR}/${PN}"-4.5.0-strip-setuptools_scm.patch
+)
+
+python_prepare_all() {
+       grep -qF "py>=${PY_VER}" setup.py || die "Incorrect dev-python/py 
dependency"
+
+       # fragile to warnings from other packages (setuptools)
+       # little value for us to run it
+       sed -i -e 's:test_no_warnings:_&:' \
+               testing/test_meta.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       distutils_install_for_testing
+
+       "${EPYTHON}" -m pytest -vv --lsof -rfsxX \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to